您所在的位置:小祥子 » 编程 » PHP » 正文

PHP判断当前PHP版本

时间:2015-03-27 编辑:本站 来源:本站原创

有些MVC框架需要比较新的PHP版本才支持,所以安装我们自己开发的PHP程序的时候需要判断一下,符合版本要求则继续安装,过低则提示并退出,代码如下

<?php

if (version_compare(PHP_VERSION, '5.3.3', '>=')) {
    header("Location: start-install.php");
    exit();
}


header('Content-Type: text/html; charset=utf-8');

echo "<h1 style='font-size:18px;'>PHP版本太低</h1>";
echo "<p style='color:#ff3300;'>要求PHP版本为<strong>5.3.3</strong>及以上,您当前的PHP版本为<strong>" . PHP_VERSION . "</strong>,请先升级您的PHP版本。</p>";

关键词:PHP 判断 版本